<?=$this->element('stage_heading', array(
	'stepTitle' => __d('buzz_waivers', 'Photo ID')
))?>
<?=$this->Form->create('Photo', array('type' => 'file', 'class' => 'photoform'))?>
<?=$this->Form->input('photo', array('type' => 'hidden', 'class' => 'photofield'))?>
<div class="row">
	<div class="col-xs-12">
		<div class="outline--septenary outline--thin background--white padding-gutters-1_2">
			<?=$this->element('loading', array(
				'title' => __d('buzz_waivers', 'Uploading Photo'),
				'description' => __d('buzz_waivers', 'Please wait whilst we save your photo...'),
				'showSpinner' => true
			))?>

			<h4 class="photo-header"><?=__d('buzz_waivers', 'Please stand in front of the camera and make sure our face is in the frame.')?></h4>

			<h4 class="photo-confirm-header" style="display: none"><?=__d('buzz_waivers', 'This is your photo')?></h4>
			<div class="spacer--1"></div>
			<div class="row">
				<div class="col-xs-12 col-sm-5 col-sm-offset-1 text-center photo-container">
					<div id="photoBox"></div>
				</div>
				<div class="col-xs-12 col-sm-6 photo-details">
					<div class="row">
						<div class="col-xs-6 col-sm-5 col-sm-offset-1">
							<?=$this->Html->image('BuzzWaivers.photo_good.png', array('class' => 'waiver-photo-box'))?>
							<strong><?=__d('buzz_waivers', 'Good Position')?></strong>
						</div>
						<div class="col-xs-6 col-sm-5">
							<?=$this->Html->image('BuzzWaivers.photo_bad.png', array('class' => 'waiver-photo-box'))?>
							<strong><?=__d('buzz_waivers', 'Bad Position')?></strong>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="spacer"></div>
<div class="row">
	<div class="col-xs-6">
		<a href="<?=$cancelUrl?>" class="button button--cancel"><?=__d('buzz_waivers', 'Cancel')?></a> &nbsp;
		<a href="#" class="button background--quinary button-retake-photo" style="display:none"><?=__d('buzz_waivers', 'Re Take Photo')?></a>
	</div>
	<div class="col-xs-6 text-right">
		<a href="#" class="button button-take-photo"><?=__d('buzz_waivers', 'Take Photo')?></a>
		<button type="submit" class="button button-use-photo show-loading" style="display: none"><?=__d('buzz_waivers', 'Use This Photo')?></button> &nbsp;
	</div>
</div>


<?php $this->Form->end()?>


<?php
$this->start('script');
	echo $this->Html->script('BuzzWaivers.webcamjs/webcam.min');
	echo $this->Html->script('BuzzWaivers.waivers');

$this->end();
?>
<?=$this->element('browser_checks')?>
